varying mediump vec3 color;
varying mediump vec3 lcampos;
varying mediump vec3 lpos;
varying mediump vec3 zconvert;

void main()
{
	mediump vec3 raydir = normalize(lpos-lcampos);
	mediump vec3 ondiskpos = lcampos + raydir*dot(raydir,-lcampos);
	if (dot(ondiskpos,ondiskpos) > 1.0) 
	{
		discard;
	}

	mediump float back = sqrt(1.0 - dot(ondiskpos,ondiskpos));
	mediump vec3 onspherepos = ondiskpos - raydir*back;
	
	mediump float zval = dot(zconvert.xyz,onspherepos-lcampos);


	gl_FragColor = vec4(color,0.0);
}