attribute vec4 vert_position;
attribute vec3 vert_normal;
attribute vec3 vert_texcoord;

varying mediump vec2 texcoord;
varying mediump vec3 normal;

/*uniform vec3 camx;
uniform vec3 camy;
uniform vec3 camz;
uniform vec3 camw;*/
uniform vec3 screenScale;

void main()
{
	vec4 tpos;

/*	tpos.xyw = 
		camx*vert_position.x +
		camy*vert_position.y +
		camz*vert_position.z +
		camw;*/
	tpos.xyw = vert_position.xyz;
		
	tpos.xy *= screenScale.xy;
	tpos.z = tpos.w-1.0; // near plane

    gl_Position = tpos;
	texcoord = vert_texcoord.xy;
	normal = normalize(vert_normal*screenScale.z);


}